#ifndef NODE_HARNESS_H
#define NODE_HARNESS_H

#include <Application.h>
#include <Window.h>

class NodeHarnessApp : public BApplication
{
public:
	NodeHarnessApp( const char* signature, media_node_id );
protected:
	void ReadyToRun();

	media_node_id mNodeId;
};

class NodeHarnessWin : public BWindow
{
public:
	NodeHarnessWin( BRect frame, const char* title );
	virtual ~NodeHarnessWin();
protected:
	bool QuitRequested();
};

#endif
