#ifndef SIMPLE_SYNTH_ADD_ON_H
#define SIMPLE_SYNTH_ADD_ON_H

#include <MediaAddOn.h>

class SimpleSynthAddOn 
	: public BMediaAddOn
{
	
public:
	SimpleSynthAddOn(image_id image);
	~SimpleSynthAddOn();
	
public:

	status_t InitCheck(
					const char** out_failure_text);

	int32 CountFlavors();

	status_t GetFlavorAt(
					int32 n,
					const flavor_info ** out_info);

	BMediaNode * InstantiateNodeFor(
					const flavor_info * info,
					BMessage * config,
					status_t * out_error);

	status_t GetConfigurationFor(
					BMediaNode * your_node,
					BMessage * into_message);
	
	bool WantsAutoStart();

	status_t AutoStart(
					int in_count,
					BMediaNode ** out_node,
					int32 * out_internal_id,
					bool * out_has_more);
};

#endif
